#= Template file for "Mkinclude", build configuration of deepconv
#
# Authors::   SUGIYAMA Ko-ichiro, Masatsugu ODAKA
# Version::   $Id: Config.mk.in,v 1.4 2015/02/19 07:53:39 sugiyama Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
# License::   See COPYRIGHT[link:COPYRIGHT]
#
# == History
# 
# * 2006/09/28 (ODAKA Masatsugu   )
# * 2006/09/12 (ODAKA Masatsugu   )
# * 2005/01/27 (ODAKA Masatsugu   )
# * 2005/04/21 (SUGIYAMA Ko-ichiro)
# * 2004/08/13 (SUGIYAMA Ko-ichiro)
#
############################################################
#== 󥹥ȡǥ쥯ȥ
#
# [JAPANESE] 
#
DESTDIR = 


########################################################################
#
# set commands		: [JA] ޥ
#

############################################################
#== Fortran Compiler
#
# [JAPANESE] Fortran ѥ
#
FC=mpif90

CPP=gcc
CPPFLAGS=DLIB_MPI 

# Flags needed when compiled and linked
# [JAPANESE] ѥ󥯻ɬפʥե饰
SYSFFLAGS= $(INCLUDE_GT) $(INCLUDES) -I$(MODDIR)

# Flags needed when linked
# [JAPANESE] 󥯻ɬפʥե饰
SYSLDFLAGS=-L/home/mkuriki/install/library/gtool5-mpi/lib -L/home/mkuriki/install/library/netcdf-mpi/lib -L/work00/pgi/linux86-64/12.3/lib -L/home/mkuriki/install 

# Libraries needed when linked
# [JAPANESE] 󥯻ɬפʥ饤֥
SYSLDLIBS=-lgtool5-mpi -lnetcdf -llapack -llapack 

# Linker which includes flags
# [JAPANESE] 󥫥ޥ
LINKF=$(FC) $(INCLUDE_GT) $(SYSFFLAGS) $(INCLUDES)

# Host type
# [JAPANESE] ۥȥƥΥ
HOST_CPU=x86_64

# Cross-compile
# [JAPANESE] ѥ
CROSS_COMPILING=no

# Information of Modules (std.mod, HP.mod, fqs.mod, intel.d, hitachi.f90)
# [JAPANESE] ⥸塼Ϥ
F90MODTYPE=std.mod

# Flag for module files search path
# [JAPANESE] ⥸塼եؤΥѥꤹ뤿Υե饰
MODPATHFLAG=-I

# Extensions of Module Files (".mod" or ".d" or ".f90")
# [JAPANESE] ⥸塼եγĥ
MODEXT=.mod
#
# Extensions of Module Files used when "make clean"
# * if "F90MODTYPE = hitachi.f90", clean nothing.
#
# [JAPANESE]
# make clean ˻Ѥ⥸塼ե
# (F90MODTYPE = hitachi.f90 ΤȤϲäƤϤʤʤ)
#
MODS=*.mod


INCLUDE_GT=-I/home/mkuriki/install/library/gtool5-mpi/include


############################################################
#== Directory to which the all files are installed
#
# [JAPANESE] 󥹥ȡΥǥ쥯ȥ
#
prefix=
exec_prefix=${prefix}
deepconvbinsuffix=

DEST_LIB=$(DESTDIR)${exec_prefix}/lib
DEST_INC=$(DESTDIR)${prefix}/include
DEST_BIN=$(DESTDIR)${exec_prefix}/bin
DEST_DOC=$(DESTDIR)${prefix}/doc

#== Editor for module information (Used when "F90MODTYPE=intel.d")
IFCCEM=:


############################################################
#== deepconv library name lib$(LIBNAME).a
#
# [JAPANESE] 饤֥̾ lib$(LIBNAME).a
#
LIBNAME=arare

############################################################
#== SYSDEPABORT, SYSDEPARG: system dependent routine
#
# [JAPANESE] ƥ¸ϤΥ롼
#
SYSDEPABORT=abort
SYSDEPARG=@SYSDEPARG@

############################################################
#== Directory to which the all files are compiled
#
# [JAPANESE] ѥԤǥ쥯ȥ
#
DEEPCONVDIR=/home/mkuriki/install/my_arare5-cvs

# SRCDIR    
# [JAPANESE] deepconv Ǽǥ쥯ȥ
SRCDIR    = $(DEEPCONVDIR)/src

# LIBDIR    
# [JAPANESE] deepconv 饤֥Ǽǥ쥯ȥ
LIBDIR    = $(DEEPCONVDIR)/lib

# MODDIR    
# [JAPANESE] deepconv ⥸塼Ǽǥ쥯ȥ
MODDIR    = $(DEEPCONVDIR)/include

# BINDIR    
# [JAPANESE] deepconv ޥɳǼǥ쥯ȥ
BINDIR    = $(DEEPCONVDIR)/bin

# DOCDIR    
# [JAPANESE] deepconv ɥȳǼǥ쥯ȥ
DOCDIR    = $(DEEPCONVDIR)/doc


############################################################
#== Set Commands for compile and install source code
#
# Please edit according to your system.
#
# [JAPANESE] ѥ䥤󥹥ȡɬפʥޥɷ
#
# ƥ˹碌ѹƤ.
#
MV         = mv
CP         = cp -p
INSTALL    = install -m 644
INSTALLBIN = install -m 755
INSTALLDIR = install -d -m 755
MKDIR      = mkdir
RM         = rm
RMDIR      = rmdir
TAGS       = etags
MAKE       = make        # make
AR         = ar          # AR : Library builder specification
ARFLAGS    = cru     # flags of AR
RANLIB     = ranlib      # generate index to archivea
NCDUMP     = ncdump      # netCDF file dump command
PERL       = perl          # for Generation of dependency file
RUBY       = ruby          # for Generation of f90 code and documentations
RD2        = rd2           # for Generation of RD documentations
RDOC       = rdoc          # for Generation of RDoc documentations
LN         = ln

#
# set Linear Algebra Library	: [JA] ׻饤֥λ
#
LINSOLV = lapack

